Propose a logo for the PAWS project
Closed, ResolvedPublic

Description

PAWS is a web platform that allow bot developers to run code and bots online.
Currently PAWS has a default logo, and we are looking for ideas and proposals.
It should be something cool, simple and colored.
Perhaps having an idea of the technical, bots, engineering can be in it. Also see Create an XTools logo for a similar task in the past. The logo in question could remain familiar with that of xtools, but do not hesitate to propose other ideas. It can be just a colored text "PAWS", or a text with a drawing. Don't limit yourself to a single proposal if you have several ideas.

No technical skills are required, but of course, you need to know how to draw with a computer program (like Inkscape or another SVG/vector graphics software).

In a second step, render page https://paws.wmflabs.org/ with each of the proposed files as the top left logo. Feel free to adapt the current login page according to your desires, using a local html page and then create a snapshot of the entire resulted page. This second file will be used to see how will be rendered your logo, and if necessary how other elements of the login page can be improved.

Please submit your proposal as a SVG file by attaching it in https://phabricator.wikimedia.org/T179677 (see the Phabricator help how to create an account and upload files).

There are a very large number of changes, so older changes are hidden. Show Older Changes

I purpose to mentor this task for Google-Code-in-2017

PAWS is a web platform that allow bot devs to run code and bots online. See https://www.mediawiki.org/wiki/Manual:Pywikibot/PAWS.
Not a too complicated logo, but something cool, simple and colored. Perhaps having the idea of the technical, bots, engineering can be in it. See T167345: Create an XTools logo for a similar task.
Having a screenshot with your design in https://paws.wmflabs.org to give us the idea of the final result can be great (of course the logo can be bigger than the actual, the default one).

@yuvipanda is it ok for you ? other specifications?

@Framawiki: Thanks. If this is to become a GCI task, please explain and clarify in the task description what exactly is expected from contributors.
Do I need any skills? Can I just draw something on paper and scan that? Where should I send my proposal? Any file format restrictions? etc, etc
See https://www.mediawiki.org/wiki/Google_Code-in/Mentors#Task_template

Aklapper renamed this task from Create the PAWS logo to Create a logo for the PAWS project.Nov 3 2017, 1:18 PM
Framawiki added a project: Design.EditedNov 3 2017, 1:56 PM

How I see the realization of this task: no tech skills are required, but of course, you need to know how to draw :) Please submit one or more files created using your computer (illustrator, photoshop, gimp softwares...). If possible, create a vector .svg file rather than a .jpg/.png. The logo in question would remain familiar with that of xtools, but do not hesitate to propose other ideas. It can be just a colored text "PAWS", or a text with a drawing. Don't limit yourself to a single proposal if you have several ideas.

In a second step, render page https://paws.wmflabs.org/ with each of the proposed files as the top right logo. Feel free to adapt the current login page according to your desires, using a local html page and then create a snapshot of the entire resulted page. This second file will be used to see how will be rendered your logo, and if necessary how other elements of the login page can be improved.

It is possible to share files in Phabricator, simply by clicking on "upload file" in the button bar. So no submission/PR via gerrit/github are expected, all files can be added in a comment of this task. The final integration in the tool will be done later, the tech part is in T120352: Customize Jupyter Logo in PAWS to say PAWS, and is not the purpose of this task.

As the developer of PAWS, @yuvipanda has the final right to choose and decide (and besides, please yuvi specify now if you already have a logo idea ^^)

Aklapper renamed this task from Create a logo for the PAWS project to Propose a logo for the PAWS project.Nov 25 2017, 9:19 PM

F11131663
F11131658
My logo, and my rendered website
Thanks!

AnmolSingh added a subscriber: AnmolSingh.EditedDec 2 2017, 6:39 AM

Here is my attempt at the logo design challenge.
Tools used- Adobe Illustrator

- Style 1


Renders of style 1

- Style 2


Render of style 2

the webpage header could use some css modifications

<style>
    .jpy-logo {height:50px !important}
    .navbar {min-height:65px !important}
</style>

Thank You

daemonAD added a subscriber: daemonAD.EditedDec 2 2017, 11:27 AM

GCI Task Submission

Propose a logo for the PAWS project

Attaching a logo (PNG & SVG) and favicon (PNG, SVG & ICO) along with a screenshot. No CSS modification required for replacement of the logo.

Logo

Favicon

Screenshot

.zip archive containing the files


Thanks

Framawiki updated the task description. (Show Details)Dec 2 2017, 12:37 PM
Gabe_Mitnick added a subscriber: Gabe_Mitnick.EditedDec 9 2017, 6:57 AM

GCI Submission:
I went full out with the "PAWS" name. My favorite is paws-01, but I created paws-02 in case 01 has the word "PAWS" too small and paws-03 if it needs to be more serious (the font is Arial). The basic paw comes straight from https://commons.wikimedia.org/wiki/File:Paw-print.svg#. Another idea is to have each "finger print" of the paw be a different color, but Wikimedia only has 3 brand colors so we'd need to choose an additional one.




And here's a screenshot of the paws-02 in the website:

Framawiki updated the task description. (Show Details)Dec 9 2017, 11:04 AM

[[

| name ]]

D3r1ck01 added a comment.EditedDec 16 2017, 1:28 PM

A student pinged on #wikimedi-devrel and complained about seeing a screen which showed

500 : Internal Server Error
Failed to start your server. Please contact admin.

The GCI student's IRC nick used at the time on #wikimedia-devrel is GuardiaN_, the student left IRC before I could tell him/her about clicking on the home link.

I also got this same issue when I tried to login with my MW account for the first time. Don't know why this error is raised.

To fix this, you can click on home (as I did) and you will be taken to the expected screen. But subsequent logins won't raise this error, just the first one AFAICT.

Maybe someone can look into the issue? Cc @Framawiki

Framawiki added a comment.EditedDec 17 2017, 1:48 PM

Hello @D3r1ck01 and thanks for your support on IRC ! It's a pretty problematic error, currently I have another error on the homepage. However I'm not the maintainer of this tool, so I've filled T183091: 502 Bad Gateway on the whole server.

Note for students: you can use another instance of the tool that looks online to take your screenshot: https://tools.wmflabs.org/paws/


Hey There!

This is my entry for the Google Code in Contest 2017, I had a ton of fun designing it ^^
I hope you guys like it too :) @Framawiki @yuvipanda
Looking forward to your feedback!

Cheers!

Best Regards

Dhruv (Fullmeteor172)

GCI Submission:
I went full out with the "PAWS" name. My favorite is paws-01, but I created paws-02 in case 01 has the word "PAWS" too small and paws-03 if it needs to be more serious (the font is Arial). The basic paw comes straight from https://commons.wikimedia.org/wiki/File:Paw-print.svg#. Another idea is to have each "finger print" of the paw be a different color, but Wikimedia only has 3 brand colors so we'd need to choose an additional one.




And here's a screenshot of the paws-02 in the website:

https://helpinghandspantry.org/programs/paws-to-feed/ Lol GCI is looking for original ideas mate.

It's acctually done? I'm interested in this task. But I can't see it on GCI website, and on WIkimedia Commons are some designs (but old, after it many users proposed something there).

It's acctually done? I'm interested in this task. But I can't see it on GCI website, and on WIkimedia Commons are some designs (but old, after it many users proposed something there).

Hello, I've increased the number of allowed submissions -- please check on GCI platform. Thanks

GCI
Here's my proposal for logo
and its rendered image.


Waffles51 added a subscriber: Waffles51.EditedJan 3 2018, 11:51 PM

Here are my proposals for the task with the logo files and screenshots




Edit:
These files are SVG files for the logo without PNG embedded!


This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.

Those seem to be PNG files embedded in (otherwise empty) SVG files?
The idea behind SVG is actually that you can zoom in and the image does not get blurry. Just saying. :)

Here are my proposals for the logo! (3 versions, each in SVG and shown on the webpage)

As requested, here is logo1.svg without the extra hidden layer. I also realized there was a hidden layer in logo3.svg, so I've attached an updated version of logo3 with the extra layer removed.


Here is the SVG


This is the screenshot

In case you can't see, there is the word "PAWS" in the paw logo in the top-left

Whoops, I submitted the wrong file before

Here's my completed attempt :

  1. Logo:
  2. Screenshot:

Thanks.

As Google-Code-in-2017 is ending these days, who plans to follow up and decide / implement here? @Framawiki: Any idea?

Framawiki changed the task status from Open to Stalled.

@Framawiki, @Aklapper: I could choose a logo and implement this. How would this choice and implementation relate to Google-Code-in-2017?

Framawiki added a comment.EditedMar 13 2018, 9:50 PM

GCI implication was successfully done.
About the implementation, I sent an email the 20 Jan 2018 to @yuvipanda asking him how he sees things. I haven't gotten an answer yet. I'll email him again.

To everybody who proposed a logo here: It would be awesome if you could add a comment to explicitly license your logo under Creative Commons Attribution-ShareAlike (CC-BY-SA) version 3 or version 4.
(Unfortunately in the Google-Code-in-2017 task we did not ask students/contributors to explicitly define a license for their proposal. That was our mentors' fault.)
Also note that by default, content in Wikimedia Phabricator is "licensed under Creative Commons Attribution-ShareAlike 3.0 (CC-BY-SA) unless otherwise noted" as per its footer.

I explicitly license my logo under Creative Commons Attribution-ShareAlike (CC-BY-SA) version 3.

I explicitly license my logo under Creative Commons Attribution-ShareAlike (CC-BY-SA) version 3.

@Barquill0 I am considering your logo2 proposal as frontrunner for choice of logo. I did find the view port and width of the SVG file to be smaller than the vectors themselves and expanded them to show the full logo. (see edited version).

Though outside the initial scope, I am thinking we need a favicon as well, and with that logo in mind I made a small vector and ran it through https://realfavicongenerator.net/ to see possible results. I would appreciate your feedback, Barquill0, as well as from others on using this as our favicon and on using your logo2 as the official PAWS logo.

I expect to work on T120352 and release this with the upcoming upgrade of PAWS to jupyterhub 0.9.

Chicocvenancio triaged this task as Normal priority.Jun 8 2018, 3:14 PM
Chicocvenancio changed the task status from Stalled to Open.
Chicocvenancio closed this task as Resolved.Jun 19 2018, 7:06 PM

I am considering this solved and choose @Barquill0's logo2 as the official PAWS logo! Attached here to document changes

Soon this will be pushed to PAWS.

Sorry for the late response, I've been away and just got my internet back. Thank you for choosing my logo, I'm so honored! Do you need anything else? (note: I may be in and out of internet the next few days)

bd808 awarded a token.Jun 21 2018, 7:34 PM